summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorjacqueline <me@jacqueline.id.au>2023-10-26 12:50:02 +1100
committerjacqueline <me@jacqueline.id.au>2023-10-26 12:50:02 +1100
commit97d63c5553203bc8cfb45b8b01169178a694d581 (patch)
treeb3e1397d5c11c1005daa1b447aa17703635bcb54 /tools
parent2086ab09b8d89c27f524d82a68b9a2035ea02436 (diff)
downloadtangara-fw-97d63c5553203bc8cfb45b8b01169178a694d581.tar.gz
Add a target that yells at you if your sdkconfig is out of date
Diffstat (limited to 'tools')
-rwxr-xr-xtools/cmake/check-for-sdkconfig-changes.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/cmake/check-for-sdkconfig-changes.sh b/tools/cmake/check-for-sdkconfig-changes.sh
new file mode 100755
index 00000000..e6246c1a
--- /dev/null
+++ b/tools/cmake/check-for-sdkconfig-changes.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+SDKCONFIG=$PROJ_PATH/sdkconfig
+SDKCONFIG_COMMON=$PROJ_PATH/sdkconfig.common
+if [ ! -f "$SDKCONFIG" ]; then
+ exit 0
+fi
+if [ "$SDKCONFIG" -nt "$SDKCONFIG_COMMON" ]; then
+ exit 0
+fi
+RED='\033[0;31m'
+NOCOLOUR='\033[0m'
+echo -e "$RED########################################################################$NOCOLOUR"
+echo "'sdkconfig.common' is newer than 'sdkconfig'! You may be building with"
+echo "an out of date configuration. Delete your 'sdkconfig' to refresh your"
+echo "build configuration, or 'touch sdkconfig' to silence this warning."
+echo -e "$RED########################################################################$NOCOLOUR"
+exit 1 \ No newline at end of file